%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --enable-threads --disable-system-install --disable-more-warnings --with-djdatadir=/usr/share/libdjconsole

Summary:   DJ Console access library
Name:      libdjconsole
Version:   0.1.2
Release:   1
License:   GPL
Group:     Applications/Multimedia
Source0:   %{name}-%{version}.tar.gz
URL:       http://djplay.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Melanie Thielker <melanie@t-data.com>
Requires: libusb >= 0.1.11
Provides: libdjconsole

BuildRequires:  libusb-devel >= 0.1.11

%description
libdjconsole allows access to the Hercules DJ Console
 
%prep
%setup

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCHFLAG %{config_opts}


if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make CFLAGS="$RPM_OPT_FLAGS"
fi

%install
rm -rf "$RPM_BUILD_ROOT"


make prefix=$RPM_BUILD_ROOT%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT%{_bindir} \
    libdir=$RPM_BUILD_ROOT%{_libdir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} \
    infodir=$RPM_BUILD_ROOT%{_infodir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog
%{_sysconfdir}/udev/rules.d/45-hpdjconsole.rules
%{_libdir}/libdjconsole.*
%{_libdir}/pkgconfig/libdjconsole.pc
%{_datadir}/libdjconsole/*
%{_includedir}/libdjconsole/*

